# EventTypes Object

> Source: https://truto.one/docs/api-reference/unified-calendar-api/eventtypes/

Schema for the `EventTypes` resource in **Unified Calendar API**.

## Properties

- **`id`** _(string, required)_
  Unique identifier of the Event Type
- **`name`** _(string)_
  Slug or unique readable name of the Event Type
- **`label`** _(string)_
  Human readable name of the Event Type
- **`status`** _(string)_
  Status of the Event Type
  Allowed: `active`, `archived`
- **`urls`** _(array<object>)_
  URLs associated with the Event Type
  - **`url`** _(string)_
  - **`type`** _(string)_
    The type of the URL
    Allowed: `scheduling`
- **`color`** _(string)_
  The color associated with this Event Type
- **`duration`** _(number)_
  The length of the Event scheduled using this Event Type in minutes
- **`description`** _(string)_
  The description of the Event Type
- **`allow_scheduling`** _(boolean)_
  Whether scheduling an Event is allowed using this Event Type
- **`position`** _(number)_
  The position of the Event Type on a listing page
- **`form_fields`** _(array<object>)_
  Form fields associated with the Event Type
  - **`label`** _(string)_
    Label used for the field
  - **`type`** _(string)_
    The type of the form field
    Allowed: `string`, `text`, `rich_text`, `number`, `boolean`, `date`, `datetime`, `time`, `enum`, `array`, `file`
  - **`is_enabled`** _(boolean)_
    Is the form field enabled?
  - **`is_required`** _(boolean)_
    Is the form field required to be answered?
  - **`position`** _(number)_
    Order of the field in the form
  - **`options`** _(array<object>)_
    The choices to be selected in case of multi-choice fields
    - **`label`** _(string)_
      Human readable name for the choice
    - **`value`** _(string)_
      The value for the choice
- **`locations`** _(array<object>)_
  The location choices associated with the Event Type
  - **`id`** _(string)_
    The unique identifier of the location.
  - **`name`** _(string)_
    The name of the location.
  - **`address`** _(object)_
    - **`street_1`** _(string)_
      The first line of the street address.
    - **`street_2`** _(string)_
      The second line of the street address.
    - **`city`** _(string)_
      The city of the address.
    - **`state`** _(string)_
      The state of the address.
    - **`country`** _(string)_
      The country of the address.
    - **`postal_code`** _(string)_
      The postal code of the address.
  - **`url`** _(string)_
    The URL of the location.
  - **`coordinates`** _(object)_
    - **`latitude`** _(number)_
      The latitude of the location.
    - **`longitude`** _(number)_
      The longitude of the location.
- **`created_at`** _(string)_
  The date and time at which this Event Type was created
- **`updated_at`** _(string)_
  The date and time at which this Event Type was last modified
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/calendar/event_types](/docs/api-reference/unified-calendar-api/eventtypes/list) — List Event types
- [GET /unified/calendar/event_types/{id}](/docs/api-reference/unified-calendar-api/eventtypes/get) — Get Event types
